Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2006:091: php


Vulnerability Assessment Details

MDKSA-2006:091: php

Vulnerability Assessment Summary
Check for the version of the php package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2006:091 (php).



An integer overflow in the wordwrap() function could permit attackers

to execute arbitrary code via certain long arguments that cause a small

buffer to be allocated, triggering a heap-based buffer overflow

(CVE-2006-1990).



The substr_compare() function in PHP 5.x and 4.4.2 could permit

attackers to cause a Denial of Service (memory access violation)

via an out-of-bounds offset argument (CVE-2006-1991).



The second vulnerability only affects Mandriva Linux 2006
earlier

versions shipped with older versions of PHP that do not contain the

substr_compare() function.



Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2006:091
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

Vtg 1978 DEC Digital Equipment Corporation VAX-11 Programming Reference Card
$20.99
Vtg 1978 DEC Digital Equipment Corporation VAX-11 Programming Reference Card pictureVtg 1981 DEC Digital Equipment Corporation VT101 Programming Reference Card b2
$20.99
Vtg 1981 DEC Digital Equipment Corporation VT101 Programming Reference Card b2 pictureVtg 1980 DIGITAL Equipment Corporation DEC VT52 VT100 EDT Editor Reference Card
$20.99
Vtg 1980 DIGITAL Equipment Corporation DEC VT52 VT100 EDT Editor Reference Card pictureVtg 1984 DEC Digital Equipment Corporation VAX EDT Quick Reference Guide
$20.99
Vtg 1984 DEC Digital Equipment Corporation VAX EDT Quick Reference Guide picture


Discussions

No Discussions have been posted on this vulnerability.